/*
  AnalogReadSerial
  Reads an analog input on pin 0, prints the result to the serial monitor.
  Attach the center pin of a potentiometer to pin A0, and the outside pins to +5V and ground.
 
 This example code is in the public domain.
 */
 
#include <SoftwareSerial.h>
 
#define pot1 A3
#define pot2 A2
#define pot3 A1
#define pot4 A1

SoftwareSerial mySerial(8, 7); // TX, RX

int pot1Val, pot2Val, pot3Val, pot4Val;
 
// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  mySerial.begin(9600);
  
}

// the loop routine runs over and over again forever:
void loop() {
  // read the input on analog pin 0:
  pot1Val = analogRead(pot1);
  pot2Val = analogRead(pot2);
  pot3Val = analogRead(pot3);
  pot4Val = analogRead(pot4);
  // print out the value you read:
  mySerial.print(pot1Val);
  mySerial.print(" ");
  mySerial.print(pot2Val);
  mySerial.print(" ");
  mySerial.print(pot3Val);
  mySerial.print(" ");
  mySerial.println(pot4Val);
  delay(10);        // delay in between reads for stability
}
